## org.apache.batik.css.dom
Class CSSOMValue.AbstractComponent

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue.AbstractComponent

All Implemented Interfaces:
  org.w3c.dom.css.CSSPrimitiveValue, org.w3c.dom.css.CSSValue

Direct Known Subclasses:
  CSSOMValue.FloatComponent, CSSOMValue.ListComponent

Enclosing class:
  CSSOMValue

protected abstract class CSSOMValue.AbstractComponent
extends java.lang.Object
implements org.w3c.dom.css.CSSPrimitiveValue

To store a component.

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`protected` `CSSOMValue.AbstractComponent()`

Method Summary
`org.w3c.dom.css.Counter` `getCounterValue()` DOM: Implements `CSSPrimitiveValue.getCounterValue()`.
`java.lang.String` `getCssText()` DOM: Implements `CSSValue.getCssText()`.
`short` `getCssValueType()` DOM: Implements `CSSValue.getCssValueType()`.
`float` `getFloatValue(short unitType)` DOM: Implements `CSSPrimitiveValue.getFloatValue(short)`.
`int` `getLength()` DOM: Implements `CSSValueList.getLength()`.
`short` `getPrimitiveType()` DOM: Implements `CSSPrimitiveValue.getPrimitiveType()`.
`org.w3c.dom.css.Rect` `getRectValue()` DOM: Implements `CSSPrimitiveValue.getRectValue()`.
`org.w3c.dom.css.RGBColor` `getRGBColorValue()` DOM: Implements `CSSPrimitiveValue.getRGBColorValue()`.
`java.lang.String` `getStringValue()` DOM: Implements `CSSPrimitiveValue.getStringValue()`.
`protected abstract Value` `getValue()` The returns the actual value of this component.
`org.w3c.dom.css.CSSValue` `item(int index)` DOM: Implements `CSSValueList.item(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`setFloatValue, setStringValue`

Methods inherited from interface org.w3c.dom.css.CSSValue
`setCssText`

Constructor Detail

### CSSOMValue.AbstractComponent

    protected CSSOMValue.AbstractComponent()

Method Detail

### getValue

    protected abstract Value getValue()

  The returns the actual value of this component.

### getCssText

    public java.lang.String getCssText()

  DOM: Implements `CSSValue.getCssText()`.

  Specified by:
    `getCssText` in interface `org.w3c.dom.css.CSSValue`

### getCssValueType

    public short getCssValueType()

  DOM: Implements `CSSValue.getCssValueType()`.

  Specified by:
    `getCssValueType` in interface `org.w3c.dom.css.CSSValue`

### getPrimitiveType

    public short getPrimitiveType()

  DOM: Implements `CSSPrimitiveValue.getPrimitiveType()`.

  Specified by:
    `getPrimitiveType` in interface `org.w3c.dom.css.CSSPrimitiveValue`

### getFloatValue

    public float getFloatValue(short unitType)
                        throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.getFloatValue(short)`.

  Specified by:
    `getFloatValue` in interface `org.w3c.dom.css.CSSPrimitiveValue`
  Throws:
    `org.w3c.dom.DOMException`

### getStringValue

    public java.lang.String getStringValue()
                                    throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.getStringValue()`.

  Specified by:
    `getStringValue` in interface `org.w3c.dom.css.CSSPrimitiveValue`
  Throws:
    `org.w3c.dom.DOMException`

### getCounterValue

    public org.w3c.dom.css.Counter getCounterValue()
                                            throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.getCounterValue()`.

  Specified by:
    `getCounterValue` in interface `org.w3c.dom.css.CSSPrimitiveValue`
  Throws:
    `org.w3c.dom.DOMException`

### getRectValue

    public org.w3c.dom.css.Rect getRectValue()
                                      throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.getRectValue()`.

  Specified by:
    `getRectValue` in interface `org.w3c.dom.css.CSSPrimitiveValue`
  Throws:
    `org.w3c.dom.DOMException`

### getRGBColorValue

    public org.w3c.dom.css.RGBColor getRGBColorValue()
                                              throws org.w3c.dom.DOMException

  DOM: Implements `CSSPrimitiveValue.getRGBColorValue()`.

  Specified by:
    `getRGBColorValue` in interface `org.w3c.dom.css.CSSPrimitiveValue`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSValueList.getLength()`.

### item

    public org.w3c.dom.css.CSSValue item(int index)

  DOM: Implements `CSSValueList.item(int)`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.